petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMGetNumBoundary

Get the number of registered BC

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNumBoundary(DM dm, PetscInt *numBd)

### Input Parameters

dm -The mesh object

### Output Parameters

numBd -The number of BC

### See Also

DMAddBoundary(), DMGetBoundary()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages